# Uses of Interface
org.picocontainer.injectors.Provider

Packages that use Provider
Package
Description
org.picocontainer.injectors
InjectionFactories make Injectors which implement specific types of dependency injection

## Uses of Provider in org.picocontainer.injectors

Classes in org.picocontainer.injectors that implement Provider
Modifier and Type
Class
Description
`class`
`ProviderAdapter`
Providers are a type of Injector that can participate in Injection via a custom method.
Constructors in org.picocontainer.injectors with parameters of type Provider
Modifier
Constructor
Description
``
`ProviderAdapter(Provider provider)`
``
`ProviderAdapter(Provider provider, boolean useNames)`
``
`ProviderAdapter(LifecycleStrategy lifecycleStrategy, Provider provider)`
``
`ProviderAdapter(LifecycleStrategy lifecycleStrategy, Provider provider, boolean useNames)`